libzypp 17.38.15

KeyManager.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <optional>`
`#include "KeyManager.h"`
`#include "KeyRingException.h"`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/base/LogControl.h>`
`#include <zypp-core/fs/TmpPath.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <boost/thread/once.hpp>`
`#include <boost/interprocess/smart_ptr/scoped_ptr.hpp>`
`#include <gpgme.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Classes
struct | zypp::GpgmeException
class | zypp::KeyManagerCtx::Impl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::gpg"
#define | OSC(V)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::gpg"

Definition at line 31 of file KeyManager.cc.

## ◆ OSC

#define OSC | ( |  | V | ) |

Value:
if ( V & (unsigned)obj ) str << " " << #V;
str
String related utilities and Regular expression matching.